Name:           ehcache-core
Version:        2.6.11
Release:        8
Summary:        Easy Hibernate Cache
License:        ASL 2.0
URL:            http://ehcache.org/
#svn export http://svn.terracotta.org/svn/ehcache/tags/ehcache-core-2.6.11
#rm -rf ./ehcache-core-2.6.11/tools/maven-ant-tasks-2.0.7.jar
#rm -rf ./ehcache-core-2.6.11/src/test/resources/resourceclassloader/private-classpath.jar
#tar cjf ehcache-core-2.6.11.tar.gz ehcache-core-2.6.11
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  maven-local mvn(javax.servlet:javax.servlet-api) mvn(javax.transaction:jta)
BuildRequires:  mvn(net.sf.ehcache:sizeof-agent) mvn(net.sf.ehcache:ehcache-parent:pom:)
BuildRequires:  mvn(org.codehaus.mojo:rmic-maven-plugin) mvn(org.codehaus.mojo:xml-maven-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-resources) mvn(org.hibernate:hibernate-core:3)
BuildRequires:  mvn(org.slf4j:slf4j-api) mvn(org.slf4j:slf4j-jdk14)

Requires:       hibernate3 >= 3.6.10-7

Patch0000:      ehcache-core-2.6.7-java8.patch

BuildArch:      noarch

%description
Ehcache is an open source, standards-based cache that boosts performance,
offloads your database, and simplifies scalability. It's the most widely-used
Java-based cache because it's robust, proven, full-featured, and integrates with
other popular libraries and frameworks. Ehcache scales from in-process caching, all
the way to mixed in-process/out-of-process deployments with terabyte-sized caches.

%package        help
Summary:        Documentation for ehcache-core
Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description    help
Documentation for ehcache-core.

%prep
%autosetup -p1
%pom_remove_parent
%pom_remove_plugin :maven-javadoc-plugin
%pom_xpath_inject "pom:project" "<groupId>net.sf.ehcache</groupId>"

for file in gmaven-plugin lifecycle-mapping maven-checkstyle-plugin maven-source-plugin maven-assembly-plugin; do
        %pom_remove_plugin :$file
done

%pom_xpath_set "pom:dependency[pom:groupId = 'org.hibernate']/pom:version" 3

%pom_change_dep :servlet-api :javax.servlet-api:3.1.0

%pom_xpath_remove "pom:profiles/pom:profile[pom:id = 'buildnumber-git']"

%pom_remove_dep net.sf.hibernate:hibernate
%pom_xpath_remove "pom:dependency[pom:scope = 'test']"

%pom_xpath_remove "pom:dependency/pom:scope"

%pom_remove_plugin :maven-dependency-plugin

%mvn_file :%{name} %{name}
%mvn_alias :%{name} net.sf.ehcache:ehcache

%build

%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files          -f .mfiles
%license src/assemble/EHCACHE-CORE-LICENSE.txt

%files          help -f .mfiles-javadoc

%changelog
* Fri Nov 18 2022 liyanan <liyanan32@h-partners.com>  - 2.6.11-8
- Change source

* Wed Feb 26 2020 lihao <lihao129@huawei.com> - 2.6.11-6
- Package Init
